
D4Science Infrastructure - Incident #12134

Missing SVN user "svn.d4science" in D4Science LDAP causes block of automatic DataMiner

algorithms deployment on production

Jul 09, 2018 12:51 PM - Massimiliano Assante

Status: Closed Start date: Jul 09, 2018

Priority: Urgent Due date: Jul 09, 2018

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: Dismiss the old ldap server   

Infrastructure: Production   

Description

The automatic deployment of DataMiner algorithms on production is stuck because in the cose it is used the "svn.d4science" SVN

user in SVN for the job. This user was not exported to the new LDAP.

History

#1 - Jul 09, 2018 12:53 PM - Massimiliano Assante

- Tracker changed from Task to Incident

#2 - Jul 09, 2018 06:17 PM - Andrea Dell'Amico

- Target version changed from No to Dismiss the old ldap server

#3 - Jul 09, 2018 07:56 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#4 - Jul 09, 2018 07:57 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I've added the user, with the password used by the dm pool manager.

#5 - Jul 10, 2018 11:21 AM - Massimiliano Assante

according to @g.panichi@isti.cnr.it the issue isn't solved, either the password is not the previous one (unlikely) or the solution adopted is not the

correct one. I think we should either contact ENG or find who followed this work CNR side.

@paolo.fabriani@eng.it @ciro.formisano@eng.it could you help us here? Which is the SVN user (and how it is retrieved in the code) involved in the

DataMiner algorithms auto deployment on production?

#6 - Jul 10, 2018 11:40 AM - Giancarlo Panichi

There is an authentication problem for the svn.d4science user, on dm-pool-manager-* service:

gcube@dm-pool-manager-proto:~$ svn list https://svn.d4science.research-infrastructures.eu/gcube/trunk/data-ana

lysis/DataMinerConfiguration/algorithms

Authentication realm: <https://svn.d4science.research-infrastructures.eu:443> D4Science SVN

Password for 'svn.d4science': **********

Authentication realm: <https://svn.d4science.research-infrastructures.eu:443> D4Science SVN

Username:

#8 - Jul 10, 2018 12:04 PM - Andrea Dell'Amico

I've found the problem. The ldap users were filtered using the posixAccount objectclass. I did not add that object class to the svn.d4science user, as

it's not a real user.

Now subversion authenticates against inetorgPerson.

I just tried on the proto dm pool manager and it works.

#9 - Jul 10, 2018 12:23 PM - Giancarlo Panichi

- Status changed from Feedback to Closed
Ok, now it works. I close the ticket.

#10 - Jul 17, 2018 06:53 PM - Ciro Formisano

Folks, I have modified the version of DM pool manager in dev environment to get SVN credentials from the IS. In particular, on the Generic Resource

DMPMConfigurator of NextNext I have included the elements:

<svn.repository.username>svn.d4science</svn.repository.username>

<svn.repository.password>D4U534_5vN</svn.repository.password>

 And it seems to work.

Please, make more tests if you can: if everything will be OK I will prepare the new version for the next release.

PS: it is backward compliant with the previous version, so if you remove the elements from the IS it will get the credentials from local svn config files. 
